#version 150 core

uniform sampler2D colorTexture;
uniform float pixelsizex;
uniform float pixelsizey;
uniform float bloomfactor;
in vec2 texCoordout;
out vec4 out_color;

void main()
{
	vec4 blurSample = vec4(0.0, 0.0, 0.0, 0.0);
	vec4 tmpPix;
	for(int tx =-3;tx<4;tx++)
        {
		for(int ty =-3;ty<4;ty++)
		{
			vec2 uv = texCoordout.st;
			uv.x = uv.x + tx*pixelsizex;
			uv.y = uv.y + ty*pixelsizey;
			tmpPix = texture2D(colorTexture,uv);
			float weightfactor;
			if (tx == 0 && tx == 0)
				weightfactor = 1.4;
			else if (abs(tx)+abs(ty) <= 2)
				weightfactor = 0.5;
			else if (abs(tx)+abs(ty) <= 4)
				weightfactor = 0.3;
			else  if (abs(tx)+abs(ty) <= 6)
				weightfactor = 0.2;
			else weightfactor = 0.1;
			
			blurSample = blurSample + tmpPix * 16 * weightfactor;
			
		}	
        }
	blurSample = blurSample / 512 ;
	out_color = texture2D(colorTexture,texCoordout.st) + blurSample* bloomfactor;
}
