#version 150 core

struct LightProperties
{
	vec3 direction;
	vec4 ambientColor;
	vec4 diffuseColor;
	vec4 specularColor;
};

uniform mat4 projectionMatrix;
uniform mat4 modelMatrix;
uniform mat4 viewMatrix;
uniform mat3 normalMatrix;

uniform	LightProperties light;

in vec4 in_position;
in vec3 in_normal;
in vec2 in_texCoord;
out vec3 ex_color;

void main(void)
{
	vec4 vert =  modelMatrix * in_position;
	vec3 norm = normalize(normalMatrix * in_normal);
	float diffuse = max(dot(norm, -normalize(light.direction)),0);
	float l = length(in_position);
	ex_color = vec3(0.4, 0.6, 1.0) * vec3(light.diffuseColor * light.ambientColor) * max(diffuse, 0.03);
	gl_Position = projectionMatrix * viewMatrix * vert;
}
