#version 150 core

uniform sampler2D colorTexture1;
uniform sampler2D colorTexture2;
uniform sampler2D helpTexture;
uniform float helpEnabled = 0.0f;

in  vec3 ex_color;
in vec2 texCoordout;
out vec4 out_color;

void main(void)
{
	vec4 texel1 = texture2D(colorTexture1, texCoordout);
	vec4 texel2 = texture2D(colorTexture2, texCoordout);
	vec4 help = texture2D(helpTexture, texCoordout);
	if(helpEnabled >= 4.0f){
		out_color = help;
	}else if(helpEnabled >= 3.0f){
		out_color = vec4(help.r,help.g,help.b,1.0f);
	}else if(helpEnabled >= 2.0f){
		//out_color = vec4(1.0f,1.0f,0.0f,1.0f);
		out_color = texel1*.3f+texel1*.1f+help;
	}else if(helpEnabled >= 1.0f){
		out_color = texel1 + texel2*0.7f;
	}else{
		out_color = vec4(1.0f,0.0f,0.0f,1.0f);
	}
	
	//out_color = texel1;
	//out_color = texel2;
}
