#version 150 core

uniform sampler2D colorTexture;
uniform sampler2D nightTexture;
uniform float drawNightVersion;
uniform float simple;

in  vec3 ex_color;
in vec2 texCoordout;
in float diffuseFactor;

out vec4 out_color;

void main(void)
{
	if(simple == 1.0f){
		out_color = vec4(ex_color,1.0);
	}else{
		vec4 texel;
	
		if (drawNightVersion >= 1.0)
		{
			vec4 nightcolor = texture2D(nightTexture, texCoordout);
			vec4 lightcolor = texture2D(colorTexture, texCoordout);

			//diffuseFactor = max(diffuseFactor, 0);

			if (diffuseFactor > 0.1)
			{	
				//nightcolor.a = nightcolor.a * diffuseFactor;
				texel = mix(lightcolor, nightcolor, max(0,(1-2*diffuseFactor)));
			}
			else
			{
				//lightcolor.a = lightcolor.a * diffuseFactor;
				texel = mix(1.5*lightcolor, nightcolor, max(0,(1-diffuseFactor)));
			}
			out_color = texel * vec4(ex_color, 1.0);
		}
		else 
		{
			texel = texture2D(colorTexture, texCoordout);
			out_color = vec4(ex_color,1.0) * texel;
		}
	}
	
}
